package com.stdproject.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 应用-数据字典
 *
 * @author StdProject
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("app_dictionary")
public class AppDictionary implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 应用ID 关联应用系统
     */
    private String appId;

    /**
     * 顺序号
     */
    private Integer orderno;

    /**
     * 字典编码
     */
    private String dictcode;

    /**
     * 字典名称
     */
    private String dictname;

    /**
     * 字典数据 JSON数组[{"code":"01","name":"字典值"}]
     */
    private String dictdata;

    /**
     * 最近修改日期
     */
    private LocalDateTime lastmodifydate;

    /**
     * 备用1
     */
    private String custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;

}